"use strict";

//dmx108_ui = angular.extend(dmx108_ui, dmx108_ui_chinese); //切换到中文 
//dmx108_ui = angular.extend(dmx108_ui, dmx108_ui_english); //切换到英文
var dmx108_ui = {};

var dmx108_ui_chinese = {
    CHAR_QUESTION_MARK: "？",

    MENU_VOLUME: "音量",
    MENU_SCENE: "场景",
    MENU_DEVICE: "联机",
    MENU_SETTING: "设置",

    COMMON_ONLINE: "在线",
    COMMON_OFFLINE: "离线",
    COMMON_MENU: "菜单",

    VOLUME_INPUT: "输入",
    VOLUME_OUTPUT: "输出",
    VOLUME_ALL_MUTE: "全部静音",

    VOLUME_SCENE: "场景",
    VOLUME_SCENE_DEFAULT_NAME: "公司会议",

    VOLUME_SET_CHANNEL_NAME: "新通道名",
    VOLUME_SET_CHANNEL_NUM: "输入音量值",
    VOLUME_NAME_CANNOT_EMPTY: "通道名不能为空",
    VOLUME_NAME_LEN_LIMIT: "通道名不能超过10个字符",
    VOLUME_VAL_INPUT_INVALID: "输入不合法",

    SCENE_TITLE: "场景列表",
    SCENE_PRESET: "预设",
    SCENE_NAME: "名称",

    DEVICE_TITLE: "设备列表",
    DEVICE_NAME: "设备名",
    DEVICE_FIRMWARE_VERSION: "固件版本",
    DEVICE_STATUS: "状态",
    DEVICE_LOGOUT: "退出登录",
    DEVICE_MODEL: "“型号”",
    DEVICE_SEARCH: "搜索设备",

    SETTING_APP_VERSION: "APP软件版本：",
    SETTING_MODIFY_PASSWORD: "修改登录密码",
    SETTING_MODIFY_LOGO: "修改LOGO",
    SETTING_AUTO_LOGIN: "自动登录",
    SETTING_MIXER: "混音",
    SETTING_MODIFY_DEVICE_NAME: "修改设备名",
    SETTING_CHANGE_SKIN: "肤色选择",

    PROMPT_TITLE: "提示",
    PROMPT_CONFIRM: "确定",
    PROMPT_CANCEL: "取消",

    PROMPT_DEVICE_CAN_CHANGE_DEVICE_AFTER_DISCONNECT: "断开连接后可切换设备",
    PROMPT_DEVICE_SEARCHING: "搜索设备中...",
    PROMPT_DEVICE_CONNECTING: "联机中...",
    PROMPT_DEVICE_NOT_CONNECTED: "未联机",
    PROMPT_DEVICE_CONNECT_FAIL: "连接失败，请重试",
    PROMPT_DEVICE_DISCONNECTING: "设备断开中...",
    PROMPT_DEVICE_DISCONNECTED: "已断开",
    PROMPT_DEVICE_ASK_CONNECT: "连接设备：",
    PROMPT_DEVICE_ASK_DISCONNECT: "想要断开连接吗？",

    PROMPT_SCENE_ASK_LOAD: "加载场景：",
    PROMPT_SCENE_LOADING: "场景加载中...",
    PROMPT_SCENE_LOAD_SUCC: "场景加载成功",
    PROMPT_SCENE_LOAD_FAIL: "场景加载失败",

    PROMPT_CHOOSE_ACCOUNT: "选择账号登录",
    PROMPT_INPUT_PASSWORD: "请输入密码",
    PROMPT_INPUT_NEW_PASSWORD: "请输入新密码",
    PROMPT_PASSWORD_CANNOT_CONTAIN_CHINESE: "密码不能包含中文哦",
    PROMPT_PASSWORD_CAN_NOT_EXCEED_16: "密码不能超过16个字符哦",
    PROMPT_LOGIN_ING: "登录中...",
    PROMPT_ASK_QUIT_ACCOUNT: "退出当前账号？",
    PROMPT_QUIT_ACCOUNT_SUCC: "退出登录成功",
    PROMPT_QUIT_ACCOUNT_FAIL: "退出登录失败",
    PROMPT_LOGIN_SUCC: "登录成功",
    PROMPT_LOGIN_FAIL: "登录失败",

    PROMPT_INPUT_DEVICE_NAME: "请输入想要修改的设备名字",
    PROMPT_NAME_CAN_NOT_EMPTY: "名字不能为空",
    PROMPT_NAME_CAN_NOT_EXCEED_10: "名字不能超过10个字哦",

    PROMPT_SET_AUTO_LOGIN_FAIL: "设置自动登录失败",

    PROMPT_MODIFY_SUCC: "修改成功",
    PROMPT_MODIFY_FAIL: "修改失败",
    PROMPT_MODIFY_ING: "修改中...",

    PROMPT_FINISH_READ_DATA: "数据读取完成"
};

var dmx108_ui_english = {
    CHAR_QUESTION_MARK: "?",

    MENU_VOLUME: "Volume",
    MENU_SCENE: "Scene",
    MENU_DEVICE: "Online",
    MENU_SETTING: "Setting",

    COMMON_ONLINE: "Online",
    COMMON_OFFLINE: "Offline",
    COMMON_MENU: "Menu",

    VOLUME_INPUT: "Input",
    VOLUME_OUTPUT: "Output",
    VOLUME_ALL_MUTE: "All Mute",

    VOLUME_SCENE: "Scene",
    VOLUME_SCENE_DEFAULT_NAME: "Company Meeting",

    VOLUME_SET_CHANNEL_NAME: "New Channel Name",
    VOLUME_SET_CHANNEL_NUM: "Input Channel Value",
    VOLUME_NAME_CANNOT_EMPTY: "Channel Name Cannot Be Empty",
    VOLUME_NAME_LEN_LIMIT: "Channel Name Must Less Than 10 Characters",
    VOLUME_VAL_INPUT_INVALID: "Input Invalid",

    SCENE_TITLE: "Scene List",
    SCENE_PRESET: "Preset",
    SCENE_NAME: "Name",

    DEVICE_TITLE: "Device List",
    DEVICE_NAME: "Device Name",
    DEVICE_FIRMWARE_VERSION: "Firmware Version",
    DEVICE_STATUS: "Status",
    DEVICE_LOGOUT: "Logout",
    DEVICE_MODEL: "Model",
    DEVICE_SEARCH: "Search Device",

    SETTING_APP_VERSION: "APP Software Version:",
    SETTING_MODIFY_PASSWORD: "Change Login Password",
    SETTING_MODIFY_LOGO: "Change LOGO",
    SETTING_AUTO_LOGIN: "Auto Login",
    SETTING_MIXER: "Mixer",
    SETTING_MODIFY_DEVICE_NAME: "Change Device Name",
    SETTING_CHANGE_SKIN: "Color Choice",

    PROMPT_TITLE: "Prompt",
    PROMPT_CONFIRM: "Confirm",
    PROMPT_CANCEL: "Cancel",

    PROMPT_DEVICE_CAN_CHANGE_DEVICE_AFTER_DISCONNECT: "You can change device after disconnect.",
    PROMPT_DEVICE_SEARCHING: "searching...",
    PROMPT_DEVICE_CONNECTING: "connecting...",
    PROMPT_DEVICE_NOT_CONNECTED: "not connected",
    PROMPT_DEVICE_CONNECT_FAIL: "connect fail, please retry again!",
    PROMPT_DEVICE_DISCONNECTING: "disconnecting...",
    PROMPT_DEVICE_DISCONNECTED: "disconnected!",
    PROMPT_DEVICE_ASK_CONNECT: "connect device:",
    PROMPT_DEVICE_ASK_DISCONNECT: "Want to disconnect?",

    PROMPT_SCENE_ASK_LOAD: "load scene:",
    PROMPT_SCENE_LOADING: "loading scene...",
    PROMPT_SCENE_LOAD_SUCC: "load scene succ",
    PROMPT_SCENE_LOAD_FAIL: "load scene fail",

    PROMPT_CHOOSE_ACCOUNT: "choose account",
    PROMPT_INPUT_PASSWORD: "please input password",
    PROMPT_INPUT_NEW_PASSWORD: "please input new password",
    PROMPT_PASSWORD_CANNOT_CONTAIN_CHINESE: "password cannot contain chinese",
    PROMPT_PASSWORD_CAN_NOT_EXCEED_16: "password cannot exceed 16 chars",
    PROMPT_LOGIN_ING: "login ing...",
    PROMPT_ASK_QUIT_ACCOUNT: "quit current account?",
    PROMPT_QUIT_ACCOUNT_SUCC: "quit succ",
    PROMPT_QUIT_ACCOUNT_FAIL: "quit fail",
    PROMPT_LOGIN_SUCC: "login succ",
    PROMPT_LOGIN_FAIL: "login fail",

    PROMPT_INPUT_DEVICE_NAME: "input device name",
    PROMPT_NAME_CAN_NOT_EMPTY: "name cannot be empty",
    PROMPT_NAME_CAN_NOT_EXCEED_10: "name cannot exceed 10 chars",

    PROMPT_SET_AUTO_LOGIN_FAIL: "set auto login fail",

    PROMPT_MODIFY_SUCC: "modify succ",
    PROMPT_MODIFY_FAIL: "modify fail",
    PROMPT_MODIFY_ING: "modify ing...",

    PROMPT_FINISH_READ_DATA: "read data finish"
};